<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfTxFreqPwrLimitMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfTxFreqPwrLimitMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Tx freq and power limit configuration.  
 <a href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a5a16e2d2e19874ad4cc1ba9ef9eaa231"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a5a16e2d2e19874ad4cc1ba9ef9eaa231">freqLimitLowTx0</a></td></tr>
<tr class="separator:a5a16e2d2e19874ad4cc1ba9ef9eaa231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98c2952e63484664a91b8cd09024e2d2"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a98c2952e63484664a91b8cd09024e2d2">freqLimitLowTx1</a></td></tr>
<tr class="separator:a98c2952e63484664a91b8cd09024e2d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99b4131f86b7a49b4ea5ea0c2658fe11"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a99b4131f86b7a49b4ea5ea0c2658fe11">freqLimitLowTx2</a></td></tr>
<tr class="separator:a99b4131f86b7a49b4ea5ea0c2658fe11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a8c8ce176953128557b38aff5f7d8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39a8c8ce176953128557b38aff5f7d8e"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a39a8c8ce176953128557b38aff5f7d8e">freqLimitHighTx0</a></td></tr>
<tr class="memdesc:a39a8c8ce176953128557b38aff5f7d8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The sensor's higher frequency limit for calibrations and monitoring for TX0 is <br />
 encoded in 2 bytes (16 bit unsigned number) <br />
 1 LSB = 10 MHz <br />
 Valid range: 7600 to 8100 <br />
 NOTE: FREQ_LIMIT_HIGH_TXn should be strictly greater than FREQ_LIMIT_LOW_TXn <br />
. <br /></td></tr>
<tr class="separator:a39a8c8ce176953128557b38aff5f7d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2695fa60cdc75a0eebd6d11f2c4092cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2695fa60cdc75a0eebd6d11f2c4092cb"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a2695fa60cdc75a0eebd6d11f2c4092cb">freqLimitHighTx1</a></td></tr>
<tr class="memdesc:a2695fa60cdc75a0eebd6d11f2c4092cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The sensor's higher frequency limit for calibrations and monitoring for TX1 is <br />
 encoded in 2 bytes (16 bit unsigned number) <br />
 1 LSB = 10 MHz <br />
 Valid range: 7600 to 8100 <br />
 NOTE: FREQ_LIMIT_HIGH_TXn should be strictly greater than FREQ_LIMIT_LOW_TXn <br />
. <br /></td></tr>
<tr class="separator:a2695fa60cdc75a0eebd6d11f2c4092cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13e7a215a4dd1d4ac88b6205177127d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13e7a215a4dd1d4ac88b6205177127d7"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a13e7a215a4dd1d4ac88b6205177127d7">freqLimitHighTx2</a></td></tr>
<tr class="memdesc:a13e7a215a4dd1d4ac88b6205177127d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The sensor's higher frequency limit for calibrations and monitoring for TX2 is <br />
 encoded in 2 bytes (16 bit unsigned number) <br />
 1 LSB = 10 MHz <br />
 Valid range: 7600 to 8100 <br />
 NOTE: FREQ_LIMIT_HIGH_TXn should be strictly greater than FREQ_LIMIT_LOW_TXn <br />
. <br /></td></tr>
<tr class="separator:a13e7a215a4dd1d4ac88b6205177127d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d30cc7adced754a694dccbd698cbbb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3d30cc7adced754a694dccbd698cbbb"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#ac3d30cc7adced754a694dccbd698cbbb">tx0PwrBackOff</a></td></tr>
<tr class="memdesc:ac3d30cc7adced754a694dccbd698cbbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX0 output power back off <br />
 1LSB = 1dB Valid Value: 0, 3, 6, 9. <br /></td></tr>
<tr class="separator:ac3d30cc7adced754a694dccbd698cbbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b8cc5d9db77dc27da09b2c6363b9d13"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b8cc5d9db77dc27da09b2c6363b9d13"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a9b8cc5d9db77dc27da09b2c6363b9d13">tx1PwrBackOff</a></td></tr>
<tr class="memdesc:a9b8cc5d9db77dc27da09b2c6363b9d13"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX1 output power back off <br />
 1LSB = 1dB Valid Value: 0, 3, 6, 9. <br /></td></tr>
<tr class="separator:a9b8cc5d9db77dc27da09b2c6363b9d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addccfd8fd704ddc0df1b8932cf8dbb5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addccfd8fd704ddc0df1b8932cf8dbb5d"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#addccfd8fd704ddc0df1b8932cf8dbb5d">tx2PwrBackOff</a></td></tr>
<tr class="memdesc:addccfd8fd704ddc0df1b8932cf8dbb5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">TX2 output power back off <br />
 1LSB = 1dB Valid Value: 0, 3, 6, 9. <br /></td></tr>
<tr class="separator:addccfd8fd704ddc0df1b8932cf8dbb5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168d0cb168c935f2c6553f3abdc8e789"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a168d0cb168c935f2c6553f3abdc8e789"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a168d0cb168c935f2c6553f3abdc8e789">reserved0</a></td></tr>
<tr class="memdesc:a168d0cb168c935f2c6553f3abdc8e789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a168d0cb168c935f2c6553f3abdc8e789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad70f9d225bba51518d06d4a1b8542ac2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad70f9d225bba51518d06d4a1b8542ac2"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#ad70f9d225bba51518d06d4a1b8542ac2">reserved1</a></td></tr>
<tr class="memdesc:ad70f9d225bba51518d06d4a1b8542ac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ad70f9d225bba51518d06d4a1b8542ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add53bc1a11d126b0226f1d703c1cbc0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add53bc1a11d126b0226f1d703c1cbc0d"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#add53bc1a11d126b0226f1d703c1cbc0d">reserved2</a></td></tr>
<tr class="memdesc:add53bc1a11d126b0226f1d703c1cbc0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:add53bc1a11d126b0226f1d703c1cbc0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48524f94da636176a0e44beb101945fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48524f94da636176a0e44beb101945fc"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a48524f94da636176a0e44beb101945fc">reserved3</a></td></tr>
<tr class="memdesc:a48524f94da636176a0e44beb101945fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a48524f94da636176a0e44beb101945fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3501c0d31087bd9490cb50fa9f468072"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3501c0d31087bd9490cb50fa9f468072"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_tx_freq_pwr_limit_mon_conf__t.html#a3501c0d31087bd9490cb50fa9f468072">reserved4</a></td></tr>
<tr class="memdesc:a3501c0d31087bd9490cb50fa9f468072"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a3501c0d31087bd9490cb50fa9f468072"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Tx freq and power limit configuration. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a5a16e2d2e19874ad4cc1ba9ef9eaa231"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlRfTxFreqPwrLimitMonConf_t::freqLimitLowTx0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>@ brief The sensor's lower frequency limit for calibrations and monitoring for TX0 is <br />
 encoded in 2 bytes (16 bit unsigned number) <br />
 1 LSB = 10 MHz <br />
 Valid range: 7600 to 8100 <br />
</p>

</div>
</div>
<a class="anchor" id="a98c2952e63484664a91b8cd09024e2d2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlRfTxFreqPwrLimitMonConf_t::freqLimitLowTx1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>@ brief The sensor's lower frequency limit for calibrations and monitoring for TX1 is <br />
 encoded in 2 bytes (16 bit unsigned number) <br />
 1 LSB = 10 MHz <br />
 Valid range: 7600 to 8100 <br />
</p>

</div>
</div>
<a class="anchor" id="a99b4131f86b7a49b4ea5ea0c2658fe11"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlRfTxFreqPwrLimitMonConf_t::freqLimitLowTx2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>@ brief The sensor's lower frequency limit for calibrations and monitoring for TX2 is <br />
 encoded in 2 bytes (16 bit unsigned number) <br />
 1 LSB = 10 MHz <br />
 Valid range: 7600 to 8100 <br />
</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
